# Eingabe eines Termins

Beim Anlegen eines Termins wird die Eingabe geprüft.  

Folgende Regeln müssen zutreffen:  

- Der Name muss mindestens 3 Zeichen haben. 
- Er darf nur folgende Zeichen enthalten: __[A-Za-zÄÖÜäöü0-9 =!?+*/$%€.:,;_<>()-]__
- Das Datum muss valide sein 
- Das Datum muss das Format MM/TT/JJJJ haben 
- Das Datum darf nicht in der Vergangenheit liegen 

<br/><br/>

## Äquivalenzklassen: 

ID | Beschreibung | Eingabe | Erwartetes Ergebniss
---|---|---|---
0 | Name < 3 | le | Fehler
1 | Name > 3, verbotenes Zeichen |Einkaufen\ | Fehler 
2 | Datum falsches Format | 20/12/2021 | Fehler 
3 | Datum in Vergangenheit | 12/20/2021 | Fehler 
4 | Datum nicht valide | 02/31/2021 | Fehler
5 | Name > 3, kein verbotenes Zeichen, Datum richtiges Format, Datum nicht in der Vergangenheit, Datum Valide | Einkaufen!, 12/23/2021 | Erfolg

<br/><br/>

## Grenzfälle: 
ID | Beschreibung | Eingabe | Erwartetes Ergebniss
---|---|---|---
0 | Name == 3 | SEN | Erfolg
1 | Datum == Heute | 12/20/2021 | Erfolg